#!/bin/bash

#########################################################################
# AXGATE 40D FIREWALL LOG BACKUP SCRIPT
#########################################################################

#########################################################################
# VARIBLE DEFINITION
#########################################################################
# TARGET FILE
BACKUP_TARGET_PATH=/var/log
BACKUP_TARGET_FILENAME=syslog.1
BACKUP_TARGET=$BACKUP_TARGET_PATH/$BACKUP_TARGET_FILENAME

# SAVE FILE
BACKUP_SAVE_PATH=/CloudKey_BACKUP/FIREWALL/AXGATE40D
SAVE_FILENAME_DATE=$(date +"%Y%m%d" -d "-1days")
BACKUP_SAVE_FILENAME=$BACKUP_SAVE_PATH/AXGATE40D_LOG_$SAVE_FILENAME_DATE
#########################################################################

#########################################################################
# FUNCTION
#########################################################################
NOTHING() {
	return
}

ERROR() {
	echo $error_message
	exit 1
}

TARGET_FILE_CHECK() {
	if [ -e $BACKUP_TARGET ]; then
		echo "  1) BACKUP_TARGET_FILE OK :: $BACKUP_TARGET"
	else
		error_message="ERROR, 1) BACKUP_TARGET_FILE CHECK !!"
                ERROR
	fi
}

BACKUP_SAVE_PATH_CHECK() {
        if [ -d $BACKUP_SAVE_PATH ]; then
		echo "  2) BACKUP_SAVE_PATH OK :: $BACKUP_SAVE_PATH"
        else
		error_message="ERROR, 2) BACKUP_SAVE_PATH CHECK !!"
                ERROR
        fi
}
#########################################################################

STARTTIME=$(date)

#########################################################################
# MAIN SCRIPT
#########################################################################
echo "\n CHECK......"
TARGET_FILE_CHECK
BACKUP_SAVE_PATH_CHECK

echo "\n\n BACKUP START......"
#!!# cat $BACKUP_TARGET | grep 'FortiGate-60E' > $BACKUP_SAVE_FILENAME
#!!# cat $BACKUP_TARGET | grep 'ISOLATION_FW' > $BACKUP_SAVE_FILENAME
#########################################################################

ENDTIME=$(date)
echo ""
echo ""
echo "============================================="
echo "AXGATE40D FIREWALL LOG BACKUP COMPLETE !!"
echo "Start Time : $STARTTIME"
echo "End.. Time : $ENDTIME"
echo "============================================="
